package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.*;

public interface BofooAgreementService {
    /**
     * 协议支付-预绑卡接口
     */
    public BankInfo ReadySign(BankInfo bankInfo);
    /**
     * 确认绑卡（协议支付）
     */
    public BankInfo ConfirmSign(BankInfo bankInfo);
    /**
     * 查询绑定的银行卡
     * @param bankInfo
     */
    public BankInfo QueryBind(BankInfo bankInfo);
    /**
     * 解绑
     * @param bankInfo
     */
    public BankInfo unBind(BankInfo bankInfo);
    /**
     * 免密支付
     * @param payRequestBody
     * @return
     */
    public ResultMap SinglePay(PaymentRequestDto payRequestBody);
    /**
     * 预支付
     * @param payRequestBody
     */
    public ResultMap ReadyPay(PaymentRequestDto payRequestBody);

    /**
     * 确认支付
     * @param payRequestBody
     */
    public ResultMap ConfirmPay(PaymentRequestDto payRequestBody);

    /**
     * 查询
     * @param payRequestBody
     */
    public PaymentInfoResponseDto QueryOrder(PaymentRequestDto payRequestBody);

    /**
     * 退款
     * @param refundRequestDto
     * @return
     */
    public ResultMap OrderRefund(RefundRequestDto refundRequestDto);
    /**
     * 退款查询
     * @param refundRequestDto
     * @return
     */
    public ResultMap queryRefund(RefundRequestDto refundRequestDto);




}
